<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:st="scenari.eu:styler:1.0"
        xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
        exclude-result-prefixes="st" 
        version="1.0">
<xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="yes"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
    
<xsl:template match="st:skinSet">
<packdesc version="4.0" title="{resultatAgent('//nameWsp')}">
<framework optimal="{resultatAgent('@@/scenari.version')}" min="{resultatAgent('@@/scenari.version/major')}.{resultatAgent('@@/scenari.version/medium')}.{resultatAgent('@@/scenari.version/minor')}" max="{resultatAgent('@@/scenari.version/major')}.{resultatAgent('@@/scenari.version/medium')}.*"/>
		    
<resList>
<xsl:for-each select="st:description">
<res key="{resultatAgent('//keyRes')}.wsp" lang="{@lang}" version="{resultatAgent('//version')}" url="{concat('wsptype_', returnFirst(@lang, 'zxx'))}"/>
</xsl:for-each>
<res key="{resultatAgent('//keyRes')}.ss" lang="zxx" version="{resultatAgent('//version')}" url="ss"/>
<res key="{resultatAgent('//keyRes')}.moz" lang="zxx" version="{resultatAgent('//version')}" url="moz.brick"/>
</resList>
		    
<xsl:apply-templates select="st:description"/>
		    
</packdesc>

</xsl:template>
    
<xsl:template match="st:description">
<wspOptionDef    keyResWspType="{resultatAgent('//keyRes')}.wsp" 
                         version="{resultatAgent('//version')}" 
                         title="{@name}"  
                         key="{resultatAgent('//key')}" 
                         lang="{@lang}" 
                         uri="{resultatAgent('//uri', @lang)}"
                         nature="skin" 
                         parentKey="{/*/st:parentWspKey/@key}" 
                         parentLang="{@lang}" 
                         parentMaxVersion="" 
                         parentMinVersion=""/>
</xsl:template>
    
</xsl:stylesheet>